| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Macros
LTC6603.h File Reference
Analog-to-Digital Converters (ADC) » LTC6603: Dual Matched, High Frequency Bandpass/Lowpass Filters

LTC6603: Dual, Matched, High Frequency Bandpass/Lowpass Filters. More...

## Detailed Description

LTC6603: Dual, Matched, High Frequency Bandpass/Lowpass Filters.

    The LTC6603 is a dual, matched, programmable bandpass or lowpass filter
    and differential driver. The selectivity of the LTC6603, combined with its
    phase matching and dynamic range, make it ideal for filtering in RFID
    systems. With two degree phase matching between channels, the LTC6603 can
    be used in applications requiring highly matched filters, such as
    transceiver I and Q channels. Gain programmability, and the fully
    differential inputs and outputs, simplify implementation in most systems.

    SPI DATA FORMAT (MSB First):

                Byte #1                                      Byte #2

    Data In  :  GAIN0 GAIN1 LPF0 LPF1 NOFUNC0 NOFUNC1 SHDN OUT     GAIN0 GAIN1 LPF0 LPF1 NOFUNC0 NOFUNC1 SHDN OUT
                |---- GAIN, BW CONTROL WORD FOR #2 ----|     |---- GAIN, BW CONTROL WORD FOR #1 ----|

    GAINx : Gain Control Bits
    LPFx  : Lowpass Cutoff Frequency Bits
    NOFUNCx  : Highpass Cutoff Frequency Bits
    SHDN  : Shutdown Bit
    OUT   : General Purpose Output Pin

http://www.analog.com/en/products/amplifiers/adc-drivers/fully-differential-amplifiers/ltc6603.html

http://www.analog.com/en/design-center/evaluation-hardware-and-software/evaluation-boards-kits/dc1304a-b.html

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

The views and conclusions contained in the software and documentation are those of the authors and should not be interpreted as representing official policies, either expressed or implied, of Linear Technology Corp.

The Linear Technology Linduino is not affiliated with the official Arduino team. However, the Linduino is only possible because of the Arduino team's commitment to the open-source community. Please, visit http://www.arduino.cc and http://store.arduino.cc , and consider a purchase that will help fund their ongoing work.

Header for LTC6603: Dual Matched, High Frequency Bandpass/Lowpass Filters

Definition in file LTC6603.h.

Go to the source code of this file.

## Macros
#define | LTC6603_FREQ_MIN 12
| Define external frequency range. More...
#define | LTC6603_FREQ_MAX 80
| 80 Mhz More...
#define | LTC6603_CS QUIKEVAL_CS
| Define the SPI CS pin. More...
LTC6603 gain configuration bits.
Refer to Table 1 in Data Sheet
#define | LTC6603_GAIN_0dB 0x00
#define | LTC6603_GAIN_6dB 0x80
#define | LTC6603_GAIN_12dB 0x40
#define | LTC6603_GAIN_24dB 0xC0
#define | LTC6603_GAIN_MASK 0x3F
LTC6603 lowpass cutoff frequency configuration bits.
Refer to Table 2 and 3 for Bandwidth
#define | LTC6603_LPF0 0x00
#define | LTC6603_LPF1 0x20
#define | LTC6603_LPF2 0x10
#define | LTC6603_LPF3 0x30
#define | LTC6603_LPF_MASK 0xCF
LTC6603 Highpass cutoff frequency configuration bits.
Refer to Table 2 and 3 for Bandwidth
#define | LTC6603_NOFUNC0 0x00
#define | LTC6603_NOFUNC1 0x08
#define | LTC6603_NOFUNC2 0x04
#define | LTC6603_NOFUNC3 0x0C
#define | LTC6603_NOFUNC_MASK 0xF3

## LTC6603 shutdown/powerup and GPO configuration bits.
#define | LTC6603_SHDN 0x02
| Shuts down LTC6603. More...
#define | LTC6603_PRUP 0x00
| Turns on LTC6603. More...
#define | LTC6603_ONOFF_MASK 0xFD
#define | LTC6603_GPO_HIGH 0x01
| Sets the general purpose. More...
#define | LTC6603_GPO_LOW 0x00
#define | LTC6603_GPO_MASK 0xFE
void | LTC6603_write (uint8_t cs, uint8_t *tx, uint8_t length)
| Sends Data to the LTC6603. More...

## Function Documentation

## ◆ LTC6603_write()

void LTC6603_write | ( | uint8_t | cs,
|  | uint8_t * | tx,
|  | uint8_t | length
| ) |  |

Sends Data to the LTC6603.

Returns
  void

Parameters

  cs | Chip Select pin
  tx | Byte array to be transmitted
  length | Length of array

Definition at line 89 of file LTC6603.cpp.

## Macro Definition Documentation

## ◆ LTC6603_CS

#define LTC6603_CS QUIKEVAL_CS

Define the SPI CS pin.

Definition at line 96 of file LTC6603.h.

## ◆ LTC6603_FREQ_MAX

#define LTC6603_FREQ_MAX 80

80 Mhz

Definition at line 92 of file LTC6603.h.

## ◆ LTC6603_FREQ_MIN

#define LTC6603_FREQ_MIN 12

Define external frequency range.

12 MHz

Definition at line 91 of file LTC6603.h.

## ◆ LTC6603_GAIN_0dB

#define LTC6603_GAIN_0dB 0x00

Definition at line 102 of file LTC6603.h.

## ◆ LTC6603_GAIN_12dB

#define LTC6603_GAIN_12dB 0x40

Definition at line 104 of file LTC6603.h.

## ◆ LTC6603_GAIN_24dB

#define LTC6603_GAIN_24dB 0xC0

Definition at line 105 of file LTC6603.h.

## ◆ LTC6603_GAIN_6dB

#define LTC6603_GAIN_6dB 0x80

Definition at line 103 of file LTC6603.h.

## ◆ LTC6603_GAIN_MASK

#define LTC6603_GAIN_MASK 0x3F

Definition at line 106 of file LTC6603.h.

## ◆ LTC6603_GPO_HIGH

#define LTC6603_GPO_HIGH 0x01

Sets the general purpose.

Definition at line 136 of file LTC6603.h.

## ◆ LTC6603_GPO_LOW

#define LTC6603_GPO_LOW 0x00

Definition at line 137 of file LTC6603.h.

## ◆ LTC6603_GPO_MASK

#define LTC6603_GPO_MASK 0xFE

Definition at line 138 of file LTC6603.h.

## ◆ LTC6603_LPF0

#define LTC6603_LPF0 0x00

Definition at line 113 of file LTC6603.h.

## ◆ LTC6603_LPF1

#define LTC6603_LPF1 0x20

Definition at line 114 of file LTC6603.h.

## ◆ LTC6603_LPF2

#define LTC6603_LPF2 0x10

Definition at line 115 of file LTC6603.h.

## ◆ LTC6603_LPF3

#define LTC6603_LPF3 0x30

Definition at line 116 of file LTC6603.h.

## ◆ LTC6603_LPF_MASK

#define LTC6603_LPF_MASK 0xCF

Definition at line 117 of file LTC6603.h.

## ◆ LTC6603_NOFUNC0

#define LTC6603_NOFUNC0 0x00

Definition at line 124 of file LTC6603.h.

## ◆ LTC6603_NOFUNC1

#define LTC6603_NOFUNC1 0x08

Definition at line 125 of file LTC6603.h.

## ◆ LTC6603_NOFUNC2

#define LTC6603_NOFUNC2 0x04

Definition at line 126 of file LTC6603.h.

## ◆ LTC6603_NOFUNC3

#define LTC6603_NOFUNC3 0x0C

Definition at line 127 of file LTC6603.h.

## ◆ LTC6603_NOFUNC_MASK

#define LTC6603_NOFUNC_MASK 0xF3

Definition at line 128 of file LTC6603.h.

## ◆ LTC6603_ONOFF_MASK

#define LTC6603_ONOFF_MASK 0xFD

Definition at line 135 of file LTC6603.h.

## ◆ LTC6603_PRUP

#define LTC6603_PRUP 0x00

Turns on LTC6603.

Definition at line 134 of file LTC6603.h.

## ◆ LTC6603_SHDN

#define LTC6603_SHDN 0x02

Shuts down LTC6603.

Definition at line 133 of file LTC6603.h.